/*
 * exec.h: header for exec.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: exec.h,v 1.10 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _EXEC_H_
#define _EXEC_H_

#include "irc_std.h"
#include <sys/types.h>

extern	int	check_wait_status 	(int);
extern	void	check_process_limits 	(void);
extern	void	do_processes 		(fd_set *);
extern	void	set_process_bits 	(fd_set *);
extern	int	text_to_process 	(int, char *, int);
extern	void	clean_up_processes 	(void);
extern	int	is_process 		(char *);
extern	int	get_process_index 	(char **);
extern	void	exec_server_delete 	(int);
extern	int	is_process_running 	(int);
extern	void	add_process_wait 	(int, char *);
extern	void	set_wait_process 	(int);
extern	void	close_all_exec 		(void);
extern	int	logical_to_index 	(char *);
extern	int	get_child_exit 		(int);
extern	void	execcmd 		(char *, char *, char *);

#endif /* _EXEC_H_ */
