/*
 * dcc.h: Things dealing client to client connections. 
 *
 * Written By Troy Rollo <troy@plod.cbme.unsw.oz.au> 
 *
 * Copyright(c) 1991 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: dcc.h,v 1.6 1994/07/26 15:33:23 mrg Exp $
 */

/*
 * this file must be included after irc.h as i needed <sys/types.h>
 */

#ifndef _DCC_H_
#define _DCC_H_

#include "irc_std.h"

extern	void	close_all_dcc 		(void);
extern  int	dcc_active 		(char *);
extern	void	dcc_chat_transmit 	(char *, char *, char *);
extern	void	dcc_check 		(fd_set *);
extern	void	dcc_list 		(char *);
extern	void	dcc_message_transmit 	(char *, char *, int, int, char *);
extern	char *	dcc_raw_connect 	(char *, u_short);
extern	char *	dcc_raw_listen 		(unsigned short);
extern	void	dcc_reject 		(char *, char *, char *);
extern	void	process_dcc 		(char *);
extern	void	register_dcc_offer 	(char *, char *, char *, char *, char *, char *, char *);
extern	void	set_dcc_bits 		(fd_set *, fd_set *);
extern	char *	DCC_get_current_transfer (void);

#endif /* _DCC_H_ */
